from rest_framework_simplejwt.authentication import JWTAuthentication
from rest_framework_simplejwt.exceptions import InvalidToken

class StatelessUser:
    def __init__(self, username):
        self.username = username
        self.is_authenticated = True

class StatelessJWTAuthentication(JWTAuthentication):
    def get_user(self, validated_token):
        name = validated_token.get("name")
        if not name:
            raise InvalidToken("Token에 'name' 항목이 없습니다.")
        return StatelessUser(username=name)
